#define F_CPU 1000000UL 
#include <avr/io.h>
#include <avr/sleep.h>
#include <util/delay.h>
#include "USI_TWI_Master.h"

int main(void)
{
	// FM24CL04 I2C FRAM patch
	uint8_t patch[] = {	0xae,	// 0b10101110 = 0b1010xxxx Device code | 0bxxxx111x Memory Upper Address | 0bxxxxxxx0 Write code
						0xF6,	// Memory Lower Address
						0x49,	// Byte @ offset 0x7F6	|
						0x0A,	// Byte @ offset 0x7F7	| 
						0x00,	// Byte @ offset 0x7F8	|	 
						0x00};	// Byte @ offset 0x7F9	| 32bit variable
  
	USI_TWI_Master_Initialise();

	// w8 for write window at boot
	_delay_ms(5000);				
	USI_TWI_Start_Read_Write(patch, sizeof(patch));
 
	// sleep until next boot
	while(1) {
			set_sleep_mode(SLEEP_MODE_PWR_DOWN);
			sleep_enable();
			sleep_cpu();
	}
}
